local crystals = {
   {'float_crystal', 'float_crystal_shard'},
   {'bloodstone', 'bloodstone_shard'},
}

for i in ipairs (crystals) do
   local crystal = crystals[i][1]
   local shard = crystals[i][2]

   minetest.register_craft({
      output = 'epic:'..shard..' 9',
      recipe = {
         {'epic:'..crystal}
      }
   })
end

minetest.register_craft({
   output = 'default:dirt',
   recipe = {
      {'epic:scorched_dirt', 'bonemeal:mulch'}
   }
})

minetest.register_craft({
   output = 'default:dirt 2',
   recipe = {
      {'epic:scorched_dirt', 'compost:compost'}
   }
})

minetest.register_craft({
   output = 'default:dirt 2',
   recipe = {
      {'default:dry_dirt', 'compost:compost'}
   }
})

minetest.register_craft({
   output = 'default:book',
   recipe = {
      {'default:book_written'}
   }
})

minetest.register_craft({
   output = 'shields:shield_wood',
   recipe = {
      {'group:wood', 'group:wood', 'group:wood'},
      {'group:wood', 'group:wood', 'group:wood'},
      {'', 'group:wood', ''}
   }
})

minetest.register_craft({
   output = '3d_armor:helmet_wood',
   recipe = {
      {'group:wood', 'group:wood', 'group:wood'},
      {'group:wood', '', 'group:wood'},
      {'', '', ''},
   },
})
minetest.register_craft({
   output = '3d_armor:chestplate_wood',
   recipe = {
      {'group:wood', '', 'group:wood'},
      {'group:wood', 'group:wood', 'group:wood'},
      {'group:wood', 'group:wood', 'group:wood'},
   },
})
minetest.register_craft({
   output = '3d_armor:leggings_wood',
   recipe = {
      {'group:wood', 'group:wood', 'group:wood'},
      {'group:wood', '', 'group:wood'},
      {'group:wood', '', 'group:wood'},
   },
})
minetest.register_craft({
   output = '3d_armor:boots_wood',
   recipe = {
      {'group:wood', '', 'group:wood'},
      {'group:wood', '', 'group:wood'},
   },
})

minetest.register_craft({
   type = 'cooking',
   output = 'epic:titanium_ingot',
   recipe = 'epic:titanium_lump',
   cooktime = 30
})

minetest.register_craft({
   type = 'cooking',
   output = 'epic:glowstone_fragment 2',
   recipe = 'nether:glowstone',
   cooktime = 30
})

minetest.register_craft({
   output = 'epic:wood_ash 4',
   recipe = {{'epic:tree_ash'}}
})

minetest.register_craft({
   type = 'cooking',
   output = 'default:dry_dirt',
   recipe = 'default:dirt',
   cooktime = 2
})

minetest.register_craft({
   type = 'cooking',
   output = 'epic:scorched_dirt',
   recipe = 'default:dry_dirt',
   cooktime = 2
})

minetest.register_craft({
   output = 'default:dirt_with_grass',
   recipe = {
      {'default:grass_1'},
      {'default:dirt'},
   },
})

minetest.register_craft({
   output = 'default:dirt_with_dry_grass',
   recipe = {
      {'default:dry_grass_1'},
      {'default:dirt'},
   },
})

minetest.register_craft({
   output = 'default:dirt_with_snow',
   recipe = {
      {'default:snow'},
      {'default:dirt'},
   },
})

minetest.register_craft({
   output = 'default:dirt_with_snow',
   recipe = {
      {'trail:snow'},
      {'default:dirt'},
   },
})

minetest.register_craft({
   output = 'default:dry_dirt_with_dry_grass',
   recipe = {
      {'default:dry_grass_1'},
      {'default:dry_dirt'},
   },
})

minetest.register_craft({
   output = 'default:dirt_with_rainforest_litter',
   recipe = {
      {'default:junglegrass'},
      {'default:dirt'},
   },
})

minetest.register_craft({
   output = 'moreblocks:super_glow_glass',
   recipe = {
      {'xdecor:candle', 'default:glass', 'xdecor:candle'},
   },
})

minetest.register_craft({
   output = 'default:clay_lump',
   recipe = {
      {'darkage:silt_lump', 'darkage:mud_lump'},
   },
})


minetest.register_craft({
   output = 'epic:3brick_grass 2',
   recipe = {
      {'default:dirt_with_grass', ''},
      {'', 'default:stonebrick'}
   },
})

minetest.register_craft({
   output = 'epic:3grass_brick 2',
   recipe = {
      {'default:stonebrick', ''},
      {'', 'default:dirt_with_grass'}
   },
})

minetest.register_craft({
   output = 'epic:3dirt_cobble 2',
   recipe = {
      {'default:dirt', ''},
      {'', 'default:cobble'}
   },
})

minetest.register_craft({
   output = 'epic:3cobble_dirt 2',
   recipe = {
      {'default:cobble', ''},
      {'', 'default:dirt'}
   },
})
